%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

Name:           ocaml-sdl
Version:        0.9.1
Release:        %mkrel 26
Summary:        OCaml bindings for the SDL multimedia library
License:        LGPLv2+
Group:          Development/OCaml
URL:            https://ocamlsdl.sourceforge.net/
Source0:        https://downloads.sourceforge.net/project/ocamlsdl/OCamlSDL/ocamlsdl-%{version}/ocamlsdl-%{version}.tar.gz
# Fix for safe-string in OCaml 4.06.
Patch1:         ocamlsdl-0.9.1-safe-string.patch
# Adapt to changes in OCaml 5.0
Patch2:         ocamlsdl-0.9.1-ocaml5.patch
Patch3:         ocamlsdl-0.9.1-ocaml5-blocking-section.patch
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(SDL_ttf)
BuildRequires:  pkgconfig(SDL_mixer)
BuildRequires:  pkgconfig(SDL_image)
BuildRequires:  pkgconfig(SDL_gfx)
BuildRequires:  ocaml-lablgl-devel
BuildRequires:  ocaml
BuildRequires:  ocaml-rpm-macros

%description
The goal of OCamlSDL is to provide access to the multimedia hardware
to the OCaml programming language with the help of the SDL library.
The Simple DirectMedia Layer is a generic API that provides low level
access to audio, keyboard, mouse, and display framebuffer across
multiple platforms and distributions.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       libSDL-devel
Requires:       libSDL_ttf-devel
Requires:       libSDL_mixer-devel
Requires:       libSDL_image-devel
Requires:       libSDL_gfx-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%autosetup -p1 -n ocamlsdl-%{version}

%build
%configure
%ifnarch %{ocaml_native_compiler}
# The configure step sets OCAMLOPT to "no", but the Makefile expects it to be
# the empty string on bytecode-only architectures
sed -i 's/^\(OCAMLOPT =\).*/\1/' makefile.config.gcc
%endif
%make_build

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/sdl
%make_install
%ocaml_files
install -d %{buildroot}%{_bindir}
install -m 0755 ./xpm_to_ml %{buildroot}%{_bindir}

%files -f .ofiles
%doc README AUTHORS NEWS
%license COPYING

%files devel -f .ofiles-devel
%doc doc/html/
%{_bindir}/xpm_to_ml


%changelog
* Sat Jun 21 2025 daviddavid <daviddavid> 0.9.1-26.mga10
+ Revision: 2193629
- rebuild for ocaml 5.3.0

* Thu May 19 2022 pterjan <pterjan> 0.9.1-25.mga9
+ Revision: 1859017
- Rebuild for OCaml 4.14

* Fri Apr 01 2022 umeabot <umeabot> 0.9.1-24.mga9
+ Revision: 1840049
- Mageia 9 Mass Rebuild

* Wed Oct 13 2021 tv <tv> 0.9.1-23.mga9
+ Revision: 1751053
- Rebuild for ocaml 4.13.1

* Fri Mar 05 2021 tv <tv> 0.9.1-22.mga9
+ Revision: 1698864
- rebuild for ocaml-4.2-12

* Sun Jan 10 2021 pterjan <pterjan> 0.9.1-21.mga8
+ Revision: 1670672
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 0.9.1-20.mga8
+ Revision: 1551461
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 0.9.1-19.mga8
+ Revision: 1544542
- Mageia 8 Mass Rebuild

* Sun Jan 26 2020 tv <tv> 0.9.1-18.mga8
+ Revision: 1483208
- rebuild for ocaml-4.10

* Fri Dec 28 2018 luigiwalser <luigiwalser> 0.9.1-17.mga7
+ Revision: 1345728
- rebuild for SDL_gfx

* Tue Oct 23 2018 pterjan <pterjan> 0.9.1-16.mga7
+ Revision: 1324542
- Rebuild for ocaml 4.07.1

* Sun Sep 23 2018 umeabot <umeabot> 0.9.1-15.mga7
+ Revision: 1299926
- Mageia 7 Mass Rebuild

* Tue Dec 05 2017 tv <tv> 0.9.1-14.mga7
+ Revision: 1181357
+ rebuild (emptylog)

* Tue Dec 05 2017 tv <tv> 0.9.1-13.mga7
+ Revision: 1181351
- fix build with ocaml 4.06
- rebuild for new ocaml

* Wed Feb 17 2016 umeabot <umeabot> 0.9.1-12.mga6
+ Revision: 964076
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9.1-11.mga5
+ Revision: 741813
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 0.9.1-10.mga5
+ Revision: 725151
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 0.9.1-9.mga5
+ Revision: 683102
- Mageia 5 Mass Rebuild

* Sat Feb 15 2014 luigiwalser <luigiwalser> 0.9.1-8.mga5
+ Revision: 591737
- rebuild for SDL_gfx

* Mon Oct 21 2013 umeabot <umeabot> 0.9.1-7.mga4
+ Revision: 541161
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 blue_prawn <blue_prawn> 0.9.1-6.mga4
+ Revision: 495203
- rebuild for ocaml-4.01.0 (and description reiteration)

* Sun Jan 13 2013 umeabot <umeabot> 0.9.1-5.mga3
+ Revision: 361601
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 11 2013 fwang <fwang> 0.9.1-4.mga3
+ Revision: 345458
- rebuild for new SDL_gfx

* Tue Oct 02 2012 blue_prawn <blue_prawn> 0.9.1-3.mga3
+ Revision: 302139
- rebuild for new ocaml 4.00

* Sat Sep 29 2012 blue_prawn <blue_prawn> 0.9.1-2.mga3
+ Revision: 300482
- new rpm group for ocaml

* Mon Jul 09 2012 blue_prawn <blue_prawn> 0.9.1-1.mga3
+ Revision: 269120
- updated to last version 0.9.1

* Mon Jun 18 2012 blue_prawn <blue_prawn> 0.9.0-1.mga3
+ Revision: 261766
- updated to last version 0.9.0

* Tue Apr 03 2012 fwang <fwang> 0.8.0-5.mga2
+ Revision: 228016
- there is no need adding hard requires, since those requires are already generated through binary deps

* Mon Apr 02 2012 blue_prawn <blue_prawn> 0.8.0-4.mga2
+ Revision: 227917
- added a patch to fix a typo in the META file
- the -devel dependencies are required by the -devel split

* Tue Mar 27 2012 malo <malo> 0.8.0-3.mga2
+ Revision: 227208
- adding missing requires to SDL libs

* Mon Mar 26 2012 blue_prawn <blue_prawn> 0.8.0-2.mga2
+ Revision: 226883
- fixed a bug in sdlgfx module build

* Mon Jan 09 2012 blue_prawn <blue_prawn> 0.8.0-1.mga2
+ Revision: 194327
- imported package ocaml-sdl

